Skip to main content
GET
/
v1
/
users
/
me
Get Me
curl --request GET \
  --url https://api.example.com/v1/users/me \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "email": "<string>",
  "name": "<string>",
  "workspace_id": "<string>",
  "avatar_url": "<string>",
  "clerk_user_id": "<string>",
  "created_at": "<string>",
  "timezone": "UTC",
  "locale": "en",
  "role": "<string>",
  "membership_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Successful Response

id
string
required
email
string
required
name
string
required
workspace_id
string | null
avatar_url
string | null
clerk_user_id
string | null
created_at
string | null
timezone
string
default:UTC
locale
string
default:en
role
string | null
membership_id
string | null